Subject: Re: gcc installation problem and solution
From: "Gerrit P. Haase" <[email-masked]>
To: Rainer Dunker <[email-masked]>
Cc: [email-masked]
Date: Tue, 28 Dec 2004 11:40:35 +0100

Rainer Dunker wrote:

> Having installed gcc (package version 3.3.3-3, cygwin.dll 1.5.10-3, WinNT 4), I had the following problem:
> 
> # gcc helloworld.c -o helloworld
> /usr/lib/gcc-lib/i686-pc-cygwin/3.3.3/../../../../i686-pc-cygwin/bin/ld: installation problem, cannot exec `/usr/lib/gcc-lib/i686-pc-cygwin/3.3.3/../../../../i686-pc-cygwin/bin/ld': Invalid argument
> collect2: ld returned 255 exit status
> 
> Moreover, a popup window appeared after the gcc call, saying that NTVDM complains about an invalid instruction.
> 
> This turned out to be a problem of the gcc installation. The directory /usr/i686-pc-cygwin/bin contained these entries:
> 
> -rwxr-xr-x    1 myname     mkgroup_       26 Dec 27 15:11 ar.exe*
> -rwxr-xr-x    1 myname     mkgroup_       26 Dec 27 15:11 as.exe*
> -rwxr-xr-x    1 myname     mkgroup_       26 Dec 27 15:11 ld.exe*
> -rwxr-xr-x    1 myname     mkgroup_       26 Dec 27 15:11 nm.exe*
> -rwxr-xr-x    1 myname     mkgroup_       30 Dec 27 15:11 ranlib.exe*
> -rwxr-xr-x    1 myname     mkgroup_       29 Dec 27 15:11 strip.exe*
> 
> These are supposed to be symbolic links to the executables in the /usr/bin directory, but - for whatever reason - the setup program did not install them in a way that they were used as symlinks afterwards (for example, ar.exe is a text file with contents "!<symlink>/usr/bin/ar.exe"). So I removed them and created symlinks to the proper executables manually; after that, the problem was gone.
> 
> I'm posting this here because I've not yet found any hint directly pointing from the mentioned error messages to this specific problem cause.

This is the correct content of valid Cygwin Symlinks and for me
NT Explorer shows them as type "S" for symlink too.  The symlinks
should work fine from within any Cygwin based shell (bash, zsh, ...).

What is a known issue is that these symlinks don't work form a
Windows only CMD shell on W2K.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/